Get Inventory Item
curl --request GET \
--url https://production.trackstarhq.com/wms/inventory/{inventory_id} \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>'import requests
url = "https://production.trackstarhq.com/wms/inventory/{inventory_id}"
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>'
}
};
fetch('https://production.trackstarhq.com/wms/inventory/{inventory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "inv_id",
"warehouse_customer_id": "warehouse_customer_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"name": "name",
"sku": "sku",
"unit_cost": 1,
"active": true,
"awaiting": 0,
"onhand": 5,
"committed": 1,
"unfulfillable": 0,
"fulfillable": 4,
"sellable": 2,
"substitute_skus": [
"sub_sku_1",
"sub_sku_2"
],
"inventory_by_warehouse_id": {
"warehouse_id_1": {
"onhand": 4,
"committed": 1,
"unfulfillable": 0,
"fulfillable": 3,
"sellable": 2,
"awaiting": 0
},
"warehouse_id_2": {
"onhand": 1,
"committed": 0,
"unfulfillable": 0,
"fulfillable": 1,
"sellable": 1,
"awaiting": 0
}
},
"lots": [
{
"lot_id": "lot_id_1",
"onhand": 2,
"expiration_date": "2022-01-01T00:00:00Z",
"warehouse_id": "warehouse_id1"
},
{
"lot_id": "lot_id_2",
"onhand": 1,
"expiration_date": "2022-01-03T00:00:00Z",
"warehouse_id": "warehouse_id2"
}
],
"measurements": {
"length": 1.5,
"width": 1.5,
"height": 1.5,
"unit": "in",
"weight": 2.5,
"weight_unit": "lb"
},
"locations": [
{
"location_id": "location_id_1",
"quantity": 2,
"warehouse_id": "warehouse_id1"
},
{
"location_id": "location_id_2",
"quantity": 1,
"warehouse_id": "warehouse_id2"
}
],
"external_system_url": "https://example.com/inventoryitem/123",
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"additional_fields": {
"key": "value"
},
"trackstar_created_date": "2023-11-07T05:31:56Z",
"trackstar_updated_date": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Inventory
Get Inventory Item
Returns a single Inventory Item for the WMS connection with the associated inventory id.
GET
/
wms
/
inventory
/
{inventory_id}
Get Inventory Item
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
Example:
"<x-trackstar-access-token>"
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
⌘I